Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Canon BrightQ Driver Installation and glibc Version
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware
View previous topic :: View next topic  
Author Message
Bloozitis
n00b
n00b


Joined: 08 Jun 2005
Posts: 3
Location: Eugene, Oregon U$A

PostPosted: Wed May 31, 2006 6:07 pm    Post subject: Canon BrightQ Driver Installation and glibc Version Reply with quote

Hi all,

We got a shiny, new Canon ImageRunner 5070 here at work, and I want to be able to use all the nifty features, which means installing the BrightQ
drivers for the ImageRunner. When I go to install the driver, I get a message that I'm using a glibc version below version 2.1, and that installation can't continue. I'm curently running glibc version 2.3.6-r3 on an AMD64. Anyone know how to fix this?

Cheers,
Dennis
Back to top
View user's profile Send private message
Zodiak
n00b
n00b


Joined: 23 Jun 2003
Posts: 25

PostPosted: Mon Sep 25, 2006 8:37 pm    Post subject: Reply with quote

I am having the exact same problem. I had this working before on an x86 box, but recently upgraded to an AMD64 box, and can't get it to work. I have tried uncompressing, then editing the scripts, but am not having any luck with that either. Any help would be greatly appreciated.
Back to top
View user's profile Send private message
szensz-siempre
Tux's lil' helper
Tux's lil' helper


Joined: 04 Dec 2006
Posts: 103
Location: South Africa

PostPosted: Thu Oct 25, 2012 10:28 am    Post subject: Reply with quote

Did any of you finally get this working?

I am trying to get a canon imagerunner printer working, also on an AMD64 system. BrightQ Pro is only available for North American clients. I downloaded CQue from the South African Canon website. but when I run the setup script I get:
Code:
./setup: error while loading shared libraries: libpng12.so.0: cannot open shared object file: No such file or directory


This is where I am stuck.

Anyone have any solutions?
Back to top
View user's profile Send private message
DaggyStyle
Advocate
Advocate


Joined: 22 Mar 2006
Posts: 4929

PostPosted: Thu Oct 25, 2012 11:35 am    Post subject: Reply with quote

szensz-siempre wrote:
Did any of you finally get this working?

I am trying to get a canon imagerunner printer working, also on an AMD64 system. BrightQ Pro is only available for North American clients. I downloaded CQue from the South African Canon website. but when I run the setup script I get:
Code:
./setup: error while loading shared libraries: libpng12.so.0: cannot open shared object file: No such file or directory


This is where I am stuck.

Anyone have any solutions?


have you tried and see if the mentioned file exists? do you have libpmg installed?
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
ProjectFootball
Back to top
View user's profile Send private message
szensz-siempre
Tux's lil' helper
Tux's lil' helper


Joined: 04 Dec 2006
Posts: 103
Location: South Africa

PostPosted: Fri Oct 26, 2012 7:44 am    Post subject: Reply with quote

Hi DaggyStyle,

Yes I do have media-libs/libpng-1.5.13-r1 installed (which provides libpng15.so.so.15.13.0). But this does not provide the needed library which is outdated and no longer in portage.

Any other ideas?
Back to top
View user's profile Send private message
Hu
Watchman
Watchman


Joined: 06 Mar 2007
Posts: 8990

PostPosted: Sat Oct 27, 2012 12:26 am    Post subject: Reply with quote

The program setup was linked to an obsolete version of libpng. Rebuild it on a modern system or install the libpng12 compatibility slot. Note that the compatibility package is only necessary until you can rebuild all programs which depend on the legacy library.
Back to top
View user's profile Send private message
szensz-siempre
Tux's lil' helper
Tux's lil' helper


Joined: 04 Dec 2006
Posts: 103
Location: South Africa

PostPosted: Wed Jan 16, 2013 9:03 am    Post subject: Reply with quote

Thanks for the advice Hu,

I installed the outdated libpng into a slot and managed to resolve those dependencies.

The setup script now fails with:
Code:
/bin/cp: cannot stat 'cque.pp': No such file or directory


Any idea what else I could do now?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum